EndpointsLeagues
Get division leaderboard recent rounds
GET
/v2/divisions/{division_id}/leaderboard/recent-roundsReturn recent per-round results for each player on a visible division's primary leaderboard.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
division_id*Division Id
Division whose recent leaderboard history should be returned.
Match
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
snapshot_version*Snapshot Version
Version returned by the matching leaderboard summary.
Match
^[0-9a-f]{64}$Length
64 <= length <= 64curl -X GET "https://example.com/v2/divisions/string/leaderboard/recent-rounds?snapshot_version=stringstringstringstringstringstringstringstringstringstringstri"{ "snapshot_version": "string", "entries": [ { "player_id": "string", "recent_rounds": [ { "id": "string", "round_number": 0, "status": "pending", "rank": 0, "score": 0, "episode_wins": 0, "episodes_played": 0, "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446" } ] } ]}